package com.jeeplus.business.project.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.project.domain.JyProjectAudit;
import com.jeeplus.business.project.service.dto.JyProjectAuditDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface JyProjectAuditMapper extends BaseMapper<JyProjectAudit> {
    @InterceptorIgnore(tenantLine = "true")
    JyProjectAuditDTO findByIdAudit(@Param("id") String id);

    List<String> getIDsByProId(@Param("projectId") String projectId);

    JyProjectAudit getIdByProId(@Param("id")String id);

    List<JyProjectAudit> findFirstLevel();
    @InterceptorIgnore(tenantLine = "true")
    void updateStatus(@Param("id")String id,@Param("status")String status,@Param("exceedTimeStatus") String exceedTimeStatus);
    @InterceptorIgnore(tenantLine = "true")
    void updateStatus2(String id);
    @InterceptorIgnore(tenantLine = "true")
    List<JyProjectAudit> selectAudit(@Param("newDate")Date newDate);
    @InterceptorIgnore(tenantLine = "true")
    List<JyProjectAudit> selectAuditInTime(@Param("newDate")Date newDate);

    List<JyProjectAuditDTO> getByProjectId(@Param("projectId") String projectId);
}
